<?php

require_once('conf/dbc.php');
require_once('conf/session_start.php');
require_once('conf/ban.php');
$page_title = 'Герб';
require_once('conf/head.php');
require_once('conf/top.php');
$user_id=abs(intval($_SESSION['id']));
$usg3=$dbc->query("SELECT * FROM `users` WHERE`id`='$user_id'")->fetch_assoc();
if ($usg3['clan'] == 0) {
?>
<script type="text/javascript">
  document.location.href = "index.php";
</script>
<?php
exit();
}
switch($_GET[act]){
default:
$clan=$dbc->query("SELECT * FROM `clans` WHERE`clan_id`='".$usg3['clan']."'")->fetch_assoc();
$fn=$_FILES['ava']['name'];
$fnr=end(explode('.',$fn));
if($fnr=='jpg' or $fnr=='JPG' or $fnr=='GIF' or $fnr=='gif' or $fnr=='png' or $fnr=='PNG'){

if($clan['money']<10000){echo'<span class="red">В складе отряда недостаточно рублей!</span>';}
		if($_FILES['ava']['size']>256000){
echo'<center><p class="name">Загрузка герба</p></center>
<span class="red">Герб не должен превышать 250кб!</span>'; 
require_once('conf/navig.php');
require_once('conf/foot.php');
		exit();
		}
if(copy($_FILES['ava']['tmp_name'],'img/clan_av/'.$usg3['clan'].'.'.$fnr.'')){
$dbc->query("UPDATE `clans` SET `money` =`money`-10000,`ava`='".$usg3['clan'].".".$fnr."'WHERE`clan_id`='".$usg3['clan']."'")or die('SQL ERROR');

echo'<span class="bonus">Аватар успешно загружен</span>';}else{echo'<span class="red">Ошибка загрузки</span>';}
}else{
if(isset($fn)){echo'<span class="red">Неверный формат изображения!</span>';}

if($usg3['clan_rang']<'9'){
echo'<p class="lal">Это закрытый раздел.</p>';
require_once('conf/navig.php');
require_once('conf/foot.php');
exit();
}	

echo'<div id="main">
    <center><p class="name2">Смена герба в отряде</p></center>
<center><a class="prof" href="?act=stand">Сбросить герб</a></center>
<div style="background-color: #1E1E1E;">
<p style="border-top:1px solid #444e4f;"></p>
<center><b>Стоимость:</b></center>
<p style="border-top:1px solid #444e4f;"></p>
</div><br/>
Индивидуальный герб стоит 10000 <img src="img/ico/money.png"/>RUB. <br/>
<div style="background-color: #1E1E1E;">
<p style="border-top:1px solid #444e4f;"></p>
<center><b>Правила загрузки:</b></center>
<p style="border-top:1px solid #444e4f;"></p>
</div><br/>
1. Формат картинки: jpg, gif или png.<br/>
2. Вес картинки не более 250кб.<br/>
<div style="background-color: #1E1E1E;">
<p style="border-top:1px solid #444e4f;"></p>
<center><b>Запрещено:</b></center>
<p style="border-top:1px solid #444e4f;"></p>
</div><br/>
1. Загружать картинки порнографического характера.<br/>
2. Загружать картинки с ругательными надписями или рекламой.<br/>
<div style="background-color: #1E1E1E;">
<p style="border-top:1px solid #444e4f;"></p>
<center><b>Внимание:</b></center>
<p style="border-top:1px solid #444e4f;"></p>
</div><br/>
Учтите, что если картинка будет превышать ограничение в 300x250 пикселей, то она будет сжата до ограничения.<br/>
Если герб не изменился, т.е. остался тем же, что был раньше, то при входе в отряд обновите страницу кнопкой браузера.<br/>
<p style="border-top:1px dashed #444e4f;"></p> 
<center><form enctype="multipart/form-data" action="'.$_SERVER['REQUEST_URI'].'" method="post"><input type="file" style="width:230px;" name="ava"/><br/><input type="submit" value="Загрузить"/></form></center>';
}
break;
case 'stand':
if($usg3['clan_rang']<'9'){header('location: gerb.php');}
 if ($usg3['gruppa'] == 'svoboda') {$ava='svobodaclan.png';}        
	  if ($usg3['gruppa'] == 'dolg') {$ava='dolgclan.png';}
	  if ($usg3['gruppa'] == 'naemniki') {$ava='naemnikiclan.png';} 
          if ($usg3['gruppa'] == 'renegat') {$ava='renegatclan.png"';}
	  if ($usg3['gruppa'] == 'chistoenebo') {$ava='chistoeneboclan.png';} 
$dbc->query("UPDATE `clans` SET `ava` ='$ava' WHERE`clan_id`='".$usg3['clan']."'")or die('SQL ERROR');
header('location: gerb.php');
break;
}
require_once('conf/navig.php');
require_once('conf/foot.php');
mysqli_close($dbc);

?>
</body>
</html>